Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 06 Jul 2022 15:38:41 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery To whomsoever it concern...the most pathetic and worst service I have experienced from you guys. I ordered my clothes on 4th only because I repeat only because it was written they will deliver it on 5th. Now it's 6th...the function which I need to attend is in the evening...still haven't received it...now when are you guys planning to deliver the clothes? Next year?.

If I talk to your customer service agents, is it prerecorded? Same reply all the time, you will get it soon...it's two days delayed already...now for what purpose did I order the clothes if I can't wear it tonight.

Worst application and brand...I'll report it in app store too. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4593166